--returns reward of type t for quest id

function QGetReward(id, t)
    if t == "gold" then
		return QREWARDGOLD[id]
	elseif t == "exp" then
		return QREWARDEXP[id]
	elseif t == "item" then
		return QREWARDITEM[id]
	end
    return nil
end

--returns name of quest id

function QGetName(id)
    return QNAME[id]
end

--returns quest type (kills, talk, item etc.) for quest id

function QGetType(id)
    return QTYPE [id]
end

--returns amount of required type for quest id. Talk quests return 0.

function QGetRequired(id)
    return QREQUIRED [id]
end

--returns boolean of quest completed. 
--[[
ATTENTION. THIS FUNCTION MIGHT BE DEPRECATED LATER. IT IS POSSIBLE TO STORE THESE VALUES
LIKE A FUNCTION TABLE SEARCH. FOR NOW, THIS METHOD MAY BE THE FASTEST.
]]

function QIsCompleted(id)
    return QCOMPLETE[id]
end

--returns whether or not the quest is in log.

function QIsInProgress(id)
    return QINLOG[id]
end

function QQuestNeeded(id)
	return QQUESTNEED[id]
end

